Subject: Re: [Fwd: draft-ietf-pwe3-control-protocol-02.txt]

From: Eric Rosen <[email-masked]>
Date: Fri, 21 Mar 2003 14:10:28 -0500

David> The  draft currently  uses  label withdraw  as  a fault  notification
David> mechanism.

I agree that label withdrawal is a poor fault notification method, as it has
various side-effects which may not be desired (as David indicates).

If the  control plane is used  to pass status, it  might be better  to use a
"status"  TLV,  such  as  is proposed  in  draft-shah-pwe3-control-protocol-
extension-00.txt.  This eliminates a lot of the unpleasant side-effects. 

If it is desired to pass status or fault information reliably, passing it in
the control plane may be better, as the data plane does not provide reliable
transport.   Note also  that passing  the info  in the  data plane  does not
necessarily preserve the  sequencing of the fault info  with the data, since
the data is not necessarily sequenced.